use "数据.dta",clear
***表1
logout,save(test1) word replace: tabstat Gap exposure lnpergdp lntotalgdp urbanpeop soe_ratio loan fdi trade employ 二人 三人 ,stat(n me sd min max) c(s) 

***表3
xtset city_prefecture_id year
**Column(1)
xtreg Gap exposure  lnpergdp lntotalgdp urbanpeop soe_ratio employ  i.year,fe vce(cluster city_prefecture_id)
est store m1
**Column(2)
xtreg Gap exposure  lnpergdp lntotalgdp urbanpeop soe_ratio employ loan  fdi trade i.year,fe vce(cluster city_prefecture_id)
est store m2
**Column(3)
xtreg Gap exposure  lnpergdp lntotalgdp urbanpeop soe_ratio employ loan  fdi trade 二人 三人  i.year,fe vce(cluster city_prefecture_id)
est store m3
esttab m1 m2 m3, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure  lnpergdp lntotalgdp urbanpeop soe_ratio employ loan  fdi trade 二人 三人)

***表4
global control "lnpergdp lntotalgdp urbanpeop soe_ratio employ loan  fdi trade 二人 三人"
**Column(1)
xtreg Gap exposure $control i.year,fe vce(cluster city_prefecture_id)
est store m1
**Column(2)
xtreg cityI exposure $control i.year,fe vce(cluster city_prefecture_id)
est store m2
**Column(3)
xtreg countryI exposure $control i.year,fe vce(cluster city_prefecture_id)
est store m3
esttab m1 m2 m3, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure)

***表7
gen profit1 =ln(profit)
**Column(1)
xtreg InvestGap exposure $control i.year,fe vce(cluster city_prefecture_id)
est store m1
**Column(2)
xtreg profit1 exposure $control i.year,fe vce(cluster city_prefecture_id)
est store m2
esttab m1 m2, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure)

***表8
gen exposure2=exposure*dargri
**Column(1)
xtreg Gap exposure2 exposure dargri $control i.year,fe vce(cluster city_prefecture_id)
est store m1
**Column(2)
xtreg cityI exposure2 exposure dargri $control i.year,fe vce(cluster city_prefecture_id)
est store m2
**Column(3)
xtreg countryI exposure2 exposure dargri $control i.year,fe vce(cluster city_prefecture_id)
est store m3
esttab m1 m2 m3, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure2 exposure)

***表9
gen exposure3=exposure*dtech
**Column(1)
xtreg Gap exposure3 exposure dtech $control i.year,fe vce(cluster city_prefecture_id)
est store m1
**Column(2)
xtreg cityI exposure3 exposure dtech $control i.year,fe vce(cluster city_prefecture_id)
est store m2
**Column(3)
xtreg countryI exposure3 exposure dtech $control i.year,fe vce(cluster city_prefecture_id)
est store m3
esttab m1 m2 m3, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure3 exposure)

use "海关数据合并.dta",clear
***表2
**Column(1)
reg accumvalueAc1 exposure $control, vce(cluster city_prefecture_id)
est store m1
**Column(2)
reg accumvalueLi1 exposure $control, vce(cluster city_prefecture_id)
est store m2
esttab m1 m2, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure)

use "CDMS数据合并.dta",clear
***表5
**Column(1)
reg income  exposure $control i.city_prefecture_id if year==2011&hukou==1&flow==0, vce(cluster city_prefecture_id)
est store m1
**Column(2)
reg income  exposure $control i.city_prefecture_id if year==2015&hukou==1&flow==0, vce(cluster city_prefecture_id)
est store m2
**Column(3)
reg income  exposure $control i.city_prefecture_id if year==2016&hukou==1&flow==0, vce(cluster city_prefecture_id)
est store m3
esttab m1 m2 m3, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure)

***表6
**Column(1)
reg income  exposure flow $control i.city_prefecture_id if year==2011&hukou==1, vce(cluster city_prefecture_id)
est store m1
**Column(2)
reg income  exposure flow $control i.city_prefecture_id if year==2015&hukou==1, vce(cluster city_prefecture_id)
est store m2
**Column(3)
reg income  exposure flow $control i.city_prefecture_id if year==2016&hukou==1, vce(cluster city_prefecture_id)
est store m3
**Column(4)
reg money_home exposure flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m4
**Column(5)
reg time exposure flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m5
**Column(6)
logit contract exposure flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m6
esttab m1 m2 m3 m4 m5 m6, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure)

***表10
gen exposure_edu=exposure*d_edu
**Column(1)
reg income exposure_edu exposure d_edu flow $control i.city_prefecture_id if year==2011&hukou==1, vce(cluster city_prefecture_id)
est store m1
**Column(2)
reg income exposure_edu exposure d_edu flow $control i.city_prefecture_id if year==2015&hukou==1, vce(cluster city_prefecture_id)
est store m2
**Column(3)
reg income exposure_edu exposure d_edu flow $control i.city_prefecture_id if year==2016&hukou==1, vce(cluster city_prefecture_id)
est store m3
**Column(4)
reg time exposure_edu exposure d_edu flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m4
**Column(5)
logit contract exposure_edu exposure d_edu flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m5
**Column(6)
reg money_home exposure_edu exposure d_edu flow $control i.city_prefecture_id if hukou==1, vce(cluster city_prefecture_id)
est store m6
esttab m1 m2 m3 m4 m5 m6, nogaps b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) r2(3) keep(exposure_edu exposure)
